
D4Science Infrastructure - Task #1918

Upgrade # 1911 (Closed): D4Science Infrastructure Upgrade to gCube 3.10.0

Create new Apache Cassandra cluster on production (3 VMs)

Jan 11, 2016 05:25 PM - Massimiliano Assante

Status: Closed Start date: Jan 11, 2016

Priority: Urgent Due date: Jan 22, 2016

Assignee: Costantino Perciante % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 3.10.0

  

Infrastructure: Production   

Description

We'd need 3 brand new VMs having Java7 and Apache Cassandra 2.1.11 (released on 2015-10-16), the same versions of the dev

machines cassandra1-d-d4s.d4science.org. 

AFAIK you should have an ANSIBLE playbook ready for this kind od machines.

The #of processors, disk and RAM should be the same of node1.p.cassandra.research-infrastructures.eu

node1.p.cassandra.research-infrastructures.eu and node2.p.cassandra.research-infrastructures.eu will be dismissed once we have

the 3 new machines and the upgrade of 3.10.0 in production is completed .

Related issues:

Precedes (1 day) D4Science Infrastructure - Task #1921: Copy production keysp... Closed Jan 24, 2016

History

#1 - Jan 11, 2016 05:26 PM - Massimiliano Assante

- Description updated

#2 - Jan 11, 2016 05:28 PM - Massimiliano Assante

- Parent task set to #1911

#3 - Jan 11, 2016 05:28 PM - Massimiliano Assante

- Tracker changed from Support to Task

#4 - Jan 11, 2016 05:31 PM - Massimiliano Assante

- Blocks Task #1919: dismiss node1.p.cassandra.research-infrastructures.eu and node2.p.cassandra.research-infrastructures.eu added

#5 - Jan 11, 2016 05:31 PM - Massimiliano Assante

- Blocks deleted (Task #1919: dismiss node1.p.cassandra.research-infrastructures.eu and node2.p.cassandra.research-infrastructures.eu)

#6 - Jan 11, 2016 05:35 PM - Massimiliano Assante

- Precedes Task #1921: Copy production keyspace onto new cassandra production cluster added

#7 - Jan 19, 2016 12:12 PM - Massimiliano Assante

- Priority changed from High to Urgent

Tom we need to upgrade very soon. We need these machines

#8 - Jan 29, 2016 01:13 PM - Massimiliano Assante

@tommaso.piccioli@isti.cnr.it please update this ticket, we need to know if we can count on the new Cassandra nodes or not 

#9 - Jan 29, 2016 03:34 PM - Massimiliano Assante

- Blocks Upgrade #1923: preprod.d4science.org 2nd upgrade to gCube 3.10.0 added
#10 - Jan 30, 2016 12:34 AM - Tommaso Piccioli

Not before february, 3

#11 - Feb 02, 2016 12:09 PM - Massimiliano Assante

- Blocks deleted (Upgrade #1923: preprod.d4science.org 2nd upgrade to gCube 3.10.0)

#12 - Feb 04, 2016 07:19 PM - Tommaso Piccioli

- Status changed from New to In Progress

- Assignee changed from Tommaso Piccioli to Massimiliano Assante

- % Done changed from 0 to 90

cassandra1-p-d4s.d4science.org

cassandra2-p-d4s.d4science.org

cassandra3-p-d4s.d4science.org

Up and ready

To be done: change the cassandra configuration to bind on eth0 and IP

#13 - Feb 05, 2016 10:31 AM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Costantino Perciante

#14 - Feb 08, 2016 02:30 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
